Bug 223065 - fails to detect duplicates or links
Summary: fails to detect duplicates or links
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: Backend (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR major (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-17 02:37 UTC by Luke-Jr
Modified: 2012-02-02 14:05 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to add option to skip symlinks when searching for new files (5.62 KB, patch)
2012-02-02 02:59 UTC, rlk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2010-01-17 02:37:12 UTC
My directory structure has a folder full of symlinks to all images. KPhotoAlbum as a result shows each image twice! It should collapse images with matching data.
Comment 1 Miika Turkia 2012-02-01 15:05:58 UTC
Reading links is intentional as most users have links under image directory to include some other directories to KPA. I'm closing this bug as the behavior is not bug but intentional feature.

We do, however, have a junior-job available (248040) for configuring whether symbolic links are ignored or followed.
Comment 2 rlk 2012-02-02 02:58:33 UTC
I did this a while back but never got around to submitting the patch; here it is.
Comment 3 rlk 2012-02-02 02:59:23 UTC
Created attachment 68420 [details]
Patch to add option to skip symlinks when searching for new files
Comment 4 Miika Turkia 2012-02-02 05:56:19 UTC
Git commit 451bb315ab3af6f57d386c40be97cd249d9ee68a by Miika Turkia.
Committed on 02/02/2012 at 06:55.
Pushed by mturkia into branch 'master'.

Option to skip symbolic links

Option to ignore symbolic links is added. Thanks to Rik for the patch.
Related: bug 248040

M  +5    -0    DB/NewImageFinder.cpp
M  +8    -0    Settings/FileVersionDetectionPage.cpp
M  +1    -0    Settings/FileVersionDetectionPage.h
M  +1    -0    Settings/SettingsData.cpp
M  +1    -0    Settings/SettingsData.h

http://commits.kde.org/kphotoalbum/451bb315ab3af6f57d386c40be97cd249d9ee68a
Comment 5 Miika Turkia 2012-02-02 06:01:42 UTC
Seems that all bugs need to be closed to get patches for them ;) (And sorry Robert for mis-reading your name from the e-mail address.)
Comment 6 rlk 2012-02-02 14:05:01 UTC
I mentioned this last summer on the mailing list, but nobody seemed interested and I forgot all about it until the bug got updated and I remembered I had done this.

(There might be use for separating symlinks to files and symlinks to directories; I might well want to scan directories but not individual files through symlinks.  But a better way to do this would be to allow multiple root directories or even multiple databases.)